Skip to content
vocapable.Docs

The structured brief of an AI-to-human handoff (caller, need, consent)

GET
/v1/workspace/call-handoffs/{handoff_id}/brief
curl --request GET \
--url https://api.vocapable.com/v1/workspace/call-handoffs/example/brief \
--header 'Authorization: Bearer <token>'
handoff_id
required
Handoff Id
string

Successful Response

Media typeapplication/json
HandoffBrief
object
handoff_id
required
Handoff Id
string
live_call_id
required
Live Call Id
string
status
required
Status
string
requested_at
required
Requested At
string format: date-time
caller
required
HandoffBriefCaller
object
name
required
Any of:
string
name_source
required
Any of:
string
Allowed values: customer_record caller_said
phone_e164
required
Any of:
string
contact_id
required
Any of:
string
organization_name
required
Any of:
string
need
required
Any of:
string
ai_actions
required
Any of:
string
promised_next_step
required
Any of:
string
summary
required
Any of:
string
consent
required
HandoffBriefConsent
object
recording
required
Recording
string
Allowed values: recorded not_recorded unknown
recording_consent_requirement
required
Any of:
string
supervision_consent
required
Supervision Consent
string
ai_written
required
Ai Written
Array<string>
Example
{
"caller": {
"name_source": "customer_record"
},
"consent": {
"recording": "recorded"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}